## indi-nightscape 1.0.6+20220129131520

=== debian/changelog ===
indi-nightscape (1.0.6+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 16:50:24 +0000

indi-nightscape (1.0.6-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Dec 2021 17:50:50 +0100

indi-nightscape (1.0.6-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 20 Dec 2021 17:50:50 +0000
