=== debian/control ===
Source: indi-nightscape
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, libftdi1-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-nightscape
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-nightscape.git

Package: indi-nightscape
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libftdi1
Description: INDI driver for Celestron Nightscape 8300
 This package contains the INDI driver for the Celestron Nightscape 8300
 line of CCDs.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
