## indi-nightscape 1.0.6+20220611130732

=== debian/changelog ===
indi-nightscape (1.0.6+20220611130732-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:07:45 +0000
