## indi-nightscape 1.0.6+20221222181314

=== debian/changelog ===
indi-nightscape (1.0.6+20221222181314-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113028)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:33:48 +0200

indi-nightscape (1.0.6+20221222181314-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058854)
    - update dependencies for /usr-merge
    - Use udev.pc to place udev files.
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 17 Dec 2023 13:27:52 +0100

indi-nightscape (1.0.6+20221222181314-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0.6

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 18:14:29 +0000
