=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
 	, zlib1g-dev
 	, libnova-dev
 	, libftdi1-dev
-Standards-Version: 4.6.0
+	, pkgconf
+	, systemd-dev
+Standards-Version: 4.6.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
